Завершение жизненного цикла программных продуктов ISPsystem 4-го поколения

1 декабря 2016 года произошло окончательное завершение жизненного цикла (EOL – от англ. End-of-Life) программных продуктов ISPsystem 4-го поколения. Был прекращен выпуск обновлений, связанных с критическими уязвимостями устаревшего ПО, и оказание услуг по его доработке и поддержке.

Компания ISPsystem считает важным максимально широко информировать пользователей о небезопасности использования устаревшего ПО. Это связано как с возможными уязвимостями в коде самих панелей управления 4-го поколения, так и с уязвимостями используемого в них стороннего ПО (устаревших версий MySQL, PHP и т.д.).

Этапы EOL программных продуктов ISPsystem 4-го поколения:
  • 2 октября 2015 г. – новость о EOL программных продуктов ISPsystem 4-го поколения (кроме BILLmanager 4).
  • 1 декабря 2015 г. – недоступность заказа и продления лицензий ISPsystem 4-го поколения (кроме BILLmanager 4). Прекращено бесплатное консультирование на форуме и в личном кабинете.
  • 3 февраля 2016 г. – новость о EOL BILLmanager 4.
  • 1 марта 2016 г. – прекращение оказания услуг по доработке функционала BILLmanager 4.
  • 5 октября 2016 г. – новость с напоминанием о EOL программных продуктов ISPsystem 4-го поколения.
  • 1 декабря 2016 г. – окончательное завершение жизненного цикла всех программных продуктов ISPsystem 4-го поколения.
  • 1 марта 2017 г. – Удаление установщиков панелей управления 4-го поколения из официального репозитория ISPsystem.

Оповещение клиентов и партнеров о завершении жизненного цикла программных продуктов 4-го поколения началось заблаговременно по всем доступным каналам: новостям на сайте, ежемесячным дайджестам, страницам ISPsystem в социальных сетях, а также при личном общении с ключевыми партнерами компании. Тем не менее, по нашей статистике, часть пользователей по-прежнему не осведомлена о EOL.

В связи с этим 1 декабря 2016 г. в рамках программы информирования о EOL ПО ISPsystem v.4 в панелях отображается системное сообщение, информирующее о рисках, связанных с продолжением использования устаревшего ПО. Сообщение доступно как администраторам ПО, так и пользователям.

Тем, кому требуется отключить данное уведомление, следует открыть файл конфигурации ispmgr.conf и добавить одну из записей (в зависимости от версии панели):
  • Lite: Option DoNotShowBannersForIspmgrEOL
  • Pro: Option DisableIspmgrEOLBannersDisplay
  • Cluster: Option HideIspmgrEOLBannersInLists

Далее следует перезапустить панель — killall ispmgr.

Все программные продукты 4-го поколения продолжат функционировать без каких-либо ограничений по времени, однако мы настоятельно рекомендуем обновиться до последних версий 5-го поколения программных продуктов. Список ключевых изменений доступен в новости на сайте.

0 комментариев

Оставить комментарий